Bug 326711 - Lenovo T61 quirks not detected
Lenovo T61 quirks not detected
Product: Fedora
Classification: Fedora
Component: hal-info (Show other bugs)
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-10 13:56 EDT by Matthew Saltzman
Modified: 2013-03-05 22:52 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-08 23:56:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matthew Saltzman 2007-10-10 13:56:10 EDT
Description of problem:
The entry in
/usr/share/hal/fdi/information/10freedesktop/20-video-quirk-pm-lenovo.fdi for
the T61 attempts to match the system.hardware.version string against a value
that appears to be the system.hardware.product string.  In addition, the product
string "766314G" does not match all T61s.  Mine has value "7663CU3"

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. cat /usr/share/hal/fdi/information/10freedesktop/20-video-quirk-pm-lenovo.fdi
Actual results:

      <!-- T61 -->
      <match key="system.hardware.version" string="766314G">
        <merge key="power_management.quirk.s3_mode" type="bool">true</merge>

Expected results:

Should contain something that actually applies the quirk on a T61.

Additional info:
Comment 1 Matthew Saltzman 2007-10-10 16:49:29 EDT
It occurs to me that different versions of T61 have different video cards. 
There are at least one Intel and one NVidia version, possibly more.  Would that
affect the applicability of quirks?

Mine is a NVidia Quadro NV140M.
Comment 2 Jan Hutař 2007-10-18 16:33:43 EDT
These my information (type: 6464, model: CTO):

# lshal | grep system.hardware
  system.hardware.primary_video.product = 10754  (0x2a02)  (int)
  system.hardware.primary_video.vendor = 32902  (0x8086)  (int)
  system.hardware.product = '6464Y1R'  (string)
  system.hardware.serial = 'XXXXXXX'  (string)
  system.hardware.uuid = 'XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX'  (string)
  system.hardware.vendor = 'LENOVO'  (string)
  system.hardware.version = 'ThinkPad T61'  (string)

PS.: according to http://www-307.ibm.com/pc/support/site.wss/product.do?
%2FbrowseByProductLandingPage.vm&validate=true there is big number of type-
model combiations.

PS2.: I needed this quirks to get suspend&resume working:

pm-suspend --quirk-s3-bios --quirk-s3-mode --quirk-vga-mode3

Default values do not work for me.
Comment 3 Jan Hutař 2007-11-19 08:22:15 EST
Please check Bug 382061 too (small patch commited to the upstream - bug 382061 
comment #5)
Comment 4 Jan Hutař 2008-03-31 02:12:37 EDT
hal is based on white-listing models which are known to work. I have just 
checked 20-video-quirk-pm-lenovo.fdi and yours "7663CU3" seems to be listed. 
Does suspend/hibernation works for you now?
Comment 5 Matthew Saltzman 2008-03-31 09:29:13 EDT
Just installed hal-info.noarch 0:20080215-2.fc8 from updates-testing.

$ grep CU /usr/share/hal/fdi/information/10freedesktop/20-video-quirk-pm-lenovo.fdi 

produces no output.  Which version are you looking at?
Comment 6 Matthew Saltzman 2008-03-31 09:36:21 EDT
Oops, never mind:  I see

      <!-- T61 -->
      <match key="system.hardware.product" prefix_outof="6466;7663">
        <merge key="power_management.quirk.s3_mode" type="bool">true</merge>


$ lshal | grep quirk  
power_management.quirk.s3_mode = true  (bool)

So it should be OK with the vesa driver.  I've been using the nVidia binary
driver, and that suspends with no problem, although it doesn't correctly resuem
from hiberate.  (It comes back with blank screen and freezes.)

Also, apparently there is no suspend with the nv driver, although I don't
understand why the vesa driver should work and the nv driver not.
Comment 7 Bug Zapper 2008-11-26 02:56:55 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 8 Bug Zapper 2009-01-08 23:56:17 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.